Available in VPC
Add a list of inbound rules for a network ACL.Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vpc/v2/addNetworkAclInboundRule |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all VPC APIs, see VPC common headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the network ACL to which you want to add the inbound rule
|
networkAclNo |
String | Required | Network ACL number
|
networkAclRuleList.N.priority |
Integer | Required | Priority of the network ACL rule
|
networkAclRuleList.N.protocolTypeCode |
String | Required | Network ACL rule's protocol type code
|
networkAclRuleList.N.ipBlock |
String | Conditional | IP address range to be allowed in the network ACL rule
|
networkAclRuleList.N.denyAllowGroupNo |
String | Conditional | Deny-Allow group number for the network ACL
|
networkAclRuleList.N.portRange |
String | Conditional | Network ACL rule's port range
|
networkAclRuleList.N.ruleActionCode |
String | Required | Whether to allow traffic
|
networkAclRuleList.N.networkAclRuleDescription |
String | Optional | Network ACL rule description (byte)
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/addNetworkAclInboundRule
?regionCode=KR
&networkAclNo=***31
&networkAclRuleList.1.priority=0
&networkAclRuleList.1.protocolTypeCode=TCP
&networkAclRuleList.1.ipBlock=***.***.0.0/0
&networkAclRuleList.1.portRange=22-23
&networkAclRuleList.1.ruleActionCode=ALLOW' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response body
See NetworkAclRuleList for the response body.
Response status codes
For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.
Response example
The response example is as follows:
<addNetworkAclInboundRuleResponse>
<requestId>189b16ac-26a0-472e-b3a9-47b80cdf7dfe</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<networkAclRuleList>
<networkAclRule>
<networkAclNo>***31</networkAclNo>
<priority>0</priority>
<protocolType>
<code>TCP</code>
<codeName>tcp</codeName>
</protocolType>
<portRange>22-23</portRange>
<ruleAction>
<code>ALLOW</code>
<codeName>Allow</codeName>
</ruleAction>
<createDate>2020-08-05T19:56:35+0900</createDate>
<ipBlock>***.***.0.0/0</ipBlock>
<denyAllowGroupNo/>
<networkAclRuleType>
<code>INBND</code>
<codeName>Inbound</codeName>
</networkAclRuleType>
<networkAclRuleDescription></networkAclRuleDescription>
</networkAclRule>
</networkAclRuleList>
</addNetworkAclInboundRuleResponse>